From 40e316948a2e9c01f972ce8bae8580191bfd6163 Mon Sep 17 00:00:00 2001
From: Garrett Cooper <yanegomi@gmail.com>
Date: Sat, 15 Feb 2014 06:45:48 -0800
Subject: [PATCH] Unbreak compiling ATF after the 0.20 upgrade with gcc

---
 contrib/atf/bconfig.h                    | 2 +-
 lib/atf/libatf-c++/tests/detail/Makefile | 4 ++++
 2 files changed, 5 insertions(+), 1 deletion(-)

diff --git a/contrib/atf/bconfig.h b/contrib/atf/bconfig.h
index 2993f22..822d934 100644
--- a/contrib/atf/bconfig.h
+++ b/contrib/atf/bconfig.h
@@ -56,7 +56,7 @@
 #define HAVE_UNSETENV 1
 
 /* Define to 1 if vsnprintf is in std */
-#define HAVE_VSNPRINTF_IN_STD 1
+/* #undef HAVE_VSNPRINTF_IN_STD */
 
 /* Define to the sub-directory in which libtool stores uninstalled libraries.
    */
diff --git a/lib/atf/libatf-c++/tests/detail/Makefile b/lib/atf/libatf-c++/tests/detail/Makefile
index 4e2e9cf..55576fe 100644
--- a/lib/atf/libatf-c++/tests/detail/Makefile
+++ b/lib/atf/libatf-c++/tests/detail/Makefile
@@ -9,6 +9,10 @@ ATF=		${.CURDIR:H:H:H:H:H}/contrib/atf
 
 CFLAGS+=	-I${ATF}
 
+.if ${MK_LIBCPLUSPLUS} == "yes"
+CFLAGS+=	-DHAVE_VSNPRINTF_IN_STD
+.endif
+
 .for _T in	application_test \
 		env_test \
 		exceptions_test \
-- 
1.8.5.2

